const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const upsells = sequelize.define(
    'upsells',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,

      },

description: {
        type: DataTypes.TEXT,

      },

price: {
        type: DataTypes.DECIMAL,

      },

currency: {
        type: DataTypes.TEXT,

      },

taxable: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

requires_date_time: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

stock: {
        type: DataTypes.INTEGER,

      },

is_active: {
        type: DataTypes.BOOLEAN,

        allowNull: false,
        defaultValue: false,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  upsells.associate = (db) => {

    db.upsells.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.upsells.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return upsells;
};

